< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package ct600e
  Definition Classes
    ct
-  package v2
  Definition Classes
    ct600e
-  package retriever
  Definition Classes
    v2
- CT600EBoxRetriever

t

uk.gov.hmrc.ct.ct600e.v2.retriever

# CT600EBoxRetriever 

###

#### trait CT600EBoxRetriever extends BoxRetriever

Linear Supertypes
BoxRetriever, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CT600EBoxRetriever
2. BoxRetriever
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def e1(): E1
2.  abstract def e10(): E10
3.  abstract def e1000(): E1000
4.  abstract def e1001(): E1001
5.  abstract def e1010(): E1010
6.  abstract def e1011(): E1011
7.  abstract def e1013(): E1013
8.  abstract def e1020(): E1020
9.  abstract def e1021(): E1021
10.  abstract def e1022(): E1022
11.  abstract def e1023(): E1023
12.  abstract def e1030(): E1030
13.  abstract def e1031(): E1031
14.  abstract def e1032(): E1032
15.  abstract def e11(): E11
16.  abstract def e12(): E12
17.  abstract def e13(): E13
18.  abstract def e14(): E14
19.  abstract def e15(): E15
20.  abstract def e16(): E16
21.  abstract def e17(): E17
22.  abstract def e18(): E18
23.  abstract def e19(): E19
24.  abstract def e2(): E2
25.  abstract def e20(): E20
26.  abstract def e20a(): E20a
27.  abstract def e21(): E21
28.  abstract def e21b(): E21b
29.  abstract def e22(): E22
30.  abstract def e22c(): E22c
31.  abstract def e23(): E23
32.  abstract def e23d(): E23d
33.  abstract def e24eA(): E24eA
34.  abstract def e24eB(): E24eB
35.  abstract def e25f(): E25f
36.  abstract def e26(): E26
37.  abstract def e27(): E27
38.  abstract def e28(): E28
39.  abstract def e3(): E3
40.  abstract def e4(): E4
41.  abstract def e5(): E5
42.  abstract def e6(): E6
43.  abstract def e7(): E7
44.  abstract def e8(): E8
45.  abstract def e9(): E9
46.  abstract def generateValues: Map[String, CtValue[_]]
    Definition Classes
      BoxRetriever

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
6.  def e1012(): E1012
7.  def e1033(): E1033
8.  def e1035(): E1035
9.  def e1043(): E1043
10.  def e1045(): E1045
11.  def e24e(): E24e
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
16.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
19.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
20.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
21.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
22.  def toString(): String
    Definition Classes
      AnyRef → Any
23.  def validateValues(values: Map[String, CtValue[_]]): Set[CtValidation]
    Definition Classes
      BoxRetriever
24.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
25.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from BoxRetriever

### Inherited from AnyRef

### Inherited from Any

### Ungrouped